# Simulates a simple thermostat
class Thermostat
  attr_accessor :temperature

  # Initialises the Thermostat class
  # @param temperature [temperature] the starting thermostat temperature
  def initialize(**args)
    @temperature = args[:temperature] || 0
  end

  # Heats up the thermostat
  # @param value [value] the increase in temperature
  def heating(args)
    self.temperature += args[:value]
  end

  # Cools down the thermostat
  # @param value [value] the decrease in temperature
  def cooling(args)
    self.temperature -= args[:value]
  end
end
